Last Comment Bug 1159682 - Provide a more appropriate "learn more" page on integrated Lightning firstrun
: Provide a more appropriate "learn more" page on integrated Lightning firstrun
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: 4.0.0.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: ltn40
  Show dependency treegraph
 
Reported: 2015-04-29 04:42 PDT by aleth [:aleth]
Modified: 2015-05-15 02:33 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image aleth [:aleth] 2015-04-29 04:42:30 PDT
The "learn more" button in the firstrun experience of the newly integrated Lightning links to https://support.mozilla.org/en-US/products/thunderbird/calendar.
This page is currently not really adequate for this purpose. 

Maybe a replacement for the TB38 launch is already in the works, but just in case I thought I'd file a bug.

When a new user clicks "learn more", she expects a brief explanation of what Calendar/Lightning is and what it can do, as well as possibly what the implications of enabling are and how to disable in the future.

Instead, in the current page

- The header is the somewhat placeholder-looking "Calendar
Related to the Lightning add-on for Calendar"

- There is no brief explanation of what Calendar is and does at the top: a screenshot or two and a feature overview would likely be ideal

- The first item under the header is "Installing Lightning into Thunderbird", clearly pointless for us here.

- The second item "Adding a holiday calendar" is quite random too.

- The standard support sidebar is irrelevant and merely distracting/confusing when you think you're being told about Calendar.
Comment 1 User image Wayne Mery (:wsmwk, NI for questions) 2015-05-03 10:35:21 PDT
It would be great to use what we've already got - enhance anything that needs improvement.

https://www.mozilla.org/en-US/projects/calendar/ is very nice looking and is inteneded to be a user intro.  So I think it's close to what you suggest. For example it has that breif explanation.

And it points to https://support.mozilla.org/en-US/products/thunderbird/calendar
This SUMO page can certainly be shortened and improved. I haven't found yet how to edit it.  But I don't think we can remove the sidebar - that's part of SUMO.

Something with more screen shots would certainly be nice
Comment 2 User image Roland Tanglao :rolandtanglao 2015-05-05 12:24:46 PDT
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #1)

CCing jonisavage

> https://www.mozilla.org/en-US/projects/calendar/ is very nice looking and is
> inteneded to be a user intro.  So I think it's close to what you suggest.
> For example it has that breif explanation.
> 
> And it points to
> https://support.mozilla.org/en-US/products/thunderbird/calendar
> This SUMO page can certainly be shortened and improved. I haven't found yet
> how to edit it.  But I don't think we can remove the sidebar - that's part
> of SUMO.

1. The sidebar on https://support.mozilla.org/en-US/products/thunderbird/calendar is controlled by the topics which are controlled by Joni and I. Concrete suggestions would be helpful! NeedInfoing Wayne for this!

2. The content of the SUMO page is basically anything tagged with these topics, right joni?


> 
> Something with more screen shots would certainly be nice
Comment 3 User image Joni Savage ("need info" me) 2015-05-05 12:57:39 PDT
I agree that this page isn't meant to be a "learn more" landing page. It's more for exploring support topics. 

The sidebar cannot be removed, but the topic names can be changed. We did change it last quarter though as part of our information architecture efforts.

Roland, you are right. This page does show articles that are tagged with the "Calendar" topic. We can remove articles or divide them into subtopics.
Comment 4 User image Philipp Kewisch [:Fallen] 2015-05-06 00:59:00 PDT
(In reply to Joni Savage from comment #3)
> I agree that this page isn't meant to be a "learn more" landing page. It's
> more for exploring support topics. 
So can we create a new page (even if it just contains a single sentence) that we can use for the learn more page? When this page is created, we can write a patch to point the learn more button to that new page. Also, is there an easy way to track if the user just visited the page or clicked on the learn more button? No personal data, just a source.

If so, please go ahead and create this page so we can move forward quickly.
Comment 5 User image Joni Savage ("need info" me) 2015-05-06 10:31:28 PDT
@Philipp, yes, we can either create a new (article) page using this template: https://support.mozilla.org/kb/new

Or link to one of the existing articles on this list: https://support.mozilla.org/products/thunderbird/calendar

I'll leave the decision to Wayne or aleth. If you opt for a new page, please enter your content directly in the template or send me a text file or Google Doc with your content (including title, description and images) and I can add it to the page. Like Philipp said, even a title and single sentence would be enough so we can create a placeholder page.
Comment 6 User image aleth [:aleth] 2015-05-06 13:26:45 PDT
I don't think I'm the right person to decide how Calendar should present itself ;)
Comment 7 User image Philipp Kewisch [:Fallen] 2015-05-09 07:03:43 PDT
Ok, I've created a sumo account and created the page. If there are any extra sumo permissions you can give me that might be helpful for Lightning, please do (user kewisch).

https://support.mozilla.org/en-US/kb/thunderbird-calendar-integration
Comment 8 User image Philipp Kewisch [:Fallen] 2015-05-09 07:07:58 PDT
I'm not sure how to make that page end up on something like https://support.mozilla.org/en-US/kb/thunderbird/calendar/integration. I'd appreciate if you could move it there and let me know how to do that.
Comment 9 User image Joni Savage ("need info" me) 2015-05-11 10:13:46 PDT
@Philipp, I've approved the article, so it should be visible now. The URL structure for articles won't support the one you mentioned in comment 8, but here's the URL that will work:

https://support.mozilla.org/kb/thunderbird-calendar-integration

You can change the last part of the URL (where it currently says "thunderbird-calendar-integration") if you wish, but I think it looks fine.

I've also give you reviewer permissions, so you can approve and publish other Thunderbird articles. Thanks for writing this article, and let me know if there's anything else I can do to help.
Comment 11 User image [:MakeMyDay] 2015-05-11 12:42:24 PDT
Nice article. Eventually we can additionally plave a screenshot of the opt-in bar at the section were you're writing about disabling.

And one more thing: the link text Using the Lightning Calendar Add-on using lightning probably needs some polishing - also this is a dead link.
Comment 12 User image Roland Tanglao :rolandtanglao 2015-05-11 12:46:40 PDT
(In reply to MakeMyDay from comment #11)
> Nice article. Eventually we can additionally plave a screenshot of the
> opt-in bar at the section were you're writing about disabling.
> 
> And one more thing: the link text Using the Lightning Calendar Add-on using
> lightning probably needs some polishing - also this is a dead link.

makemyday please edit the article to include these changes, I will edit and polish and approve your edit!
Comment 13 User image Philipp Kewisch [:Fallen] 2015-05-11 23:39:28 PDT
(In reply to MakeMyDay from comment #11)
> Nice article. Eventually we can additionally plave a screenshot of the
> opt-in bar at the section were you're writing about disabling.
The thing is, the user visiting here will most likely have gotten there because of the opt-out bar anyway, so the user will know what it looks like :) We could well use some updated screenshots though, I am not sure if its possible to update an existing screenshot so it can be used on all pages.
Comment 14 User image [:MakeMyDay] 2015-05-12 10:17:05 PDT
This was just in case this article gets referenced in release notes or elsewhere. But if its to hard to change the screenshot, we can leave it as it is.
Comment 15 User image Roland Tanglao :rolandtanglao 2015-05-12 11:08:18 PDT
(In reply to MakeMyDay from comment #14)
> This was just in case this article gets referenced in release notes or
> elsewhere. But if its to hard to change the screenshot, we can leave it as
> it is.

it's easy to change the screenshot, either email me a screenshot or edit the article and add the screenshot yourself, you decide :-) @MMD
Comment 16 User image Philipp Kewisch [:Fallen] 2015-05-13 01:21:35 PDT
(In reply to Roland Tanglao :rolandtanglao from comment #15) 
> it's easy to change the screenshot, either email me a screenshot or edit the
> article and add the screenshot yourself, you decide :-) @MMD

The screenshot is used from various articles. I was hoping there was a way to upload a new revision of the screenshot so that it is propagated to all articles without changing each of them.
Comment 17 User image [:MakeMyDay] 2015-05-14 12:46:35 PDT
Philipp, Roland, I have added a separate screenshot with the optout bar only and a brief explaination, just have a look, whether that fits in.
Comment 18 User image Philipp Kewisch [:Fallen] 2015-05-15 02:33:55 PDT
Looks good, thanks!

Note You need to log in before you can comment on or make changes to this bug.